package com.ibm.jps.uxtoweb.frontend.custom;

import inputSchema.ItemList;

import org.eclipse.emf.ecore.EObject;
import org.eclipse.uml2.uml.Class;
import org.eclipse.uml2.uml.Dependency;
import org.eclipse.uml2.uml.NamedElement;

import com.ibm.xtools.transform.authoring.RuleExtension;

public class Class2ItemListRule implements RuleExtension {

	public void execute(EObject arg0, EObject arg1) {
		ModelUtil.log("Class2ItemListRule", arg0);
		Class cl = (Class) arg0;
		ItemList list = (ItemList) arg1;
		for (Object o:cl.getClientDependencies()){
			Dependency dep = (Dependency) o;
			for (Object p:dep.getSuppliers()) {
				NamedElement elt = (NamedElement) p;
				if (elt instanceof Class) {
					Class supplier = (Class) elt;
					if (supplier.getAppliedStereotype(Messages.beanStereotype) != null) {
						list.setName(ModelUtil.firstCharToLowerCase(supplier.getName())+"s");
						list.setRowName(ModelUtil.firstCharToLowerCase(supplier.getName()));
						return;
					}
				}
			}
		}
	}
		
}
