package com.ibm.jps.uxtoweb.frontend.custom;

import java.util.Collection;

import org.eclipse.emf.common.util.BasicEList;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.uml2.uml.Class;

import com.ibm.xtools.transform.authoring.ExtractorExtension;

public class OwnedElement2ItemListExtractor implements ExtractorExtension {

	@SuppressWarnings("unchecked")
	public Collection execute(EObject arg0) {
		ModelUtil.log("OwnedElement2ItemListExtractor", arg0);
		Class inCl = (Class) arg0;
		Collection<Class> c = new BasicEList();
		AssociatedClass acl = ModelUtil.findCompositionClass(inCl, Messages.listStereotype);
		if (acl.getAssocClass() != null) {
			c.add(acl.getAssocClass());
		}
		return c;
	}

}
