package com.ibm.jps.uxtoweb.frontend.custom;

import inputSchema.DisplayField;

import org.eclipse.emf.ecore.EObject;
import org.eclipse.uml2.uml.Class;
import org.eclipse.uml2.uml.Element;
import org.eclipse.uml2.uml.Property;

import com.ibm.xtools.transform.authoring.RuleExtension;

public class Property2DisplayFieldRule implements RuleExtension {

	public void execute(EObject arg0, EObject arg1) {
		ModelUtil.log("Property2DisplayFieldRule", arg0);
		Property prop = (Property) arg0;
		DisplayField field = (DisplayField) arg1;
		field.setBeanName("");
		Element owner = prop.getOwner();
		// The owner should be the a class!
		if (owner != null && owner instanceof Class) {
			Class bean = ModelUtil.findMatchingBean((Class) owner, prop.getName());
			if (bean != null) field.setBeanName(bean.getName()); 
		}
	}

}
