package com.ibm.jps.uxtoweb.frontend.custom;

import inputSchema.Forward;

import org.eclipse.emf.ecore.EObject;
import org.eclipse.uml2.uml.Association;
import org.eclipse.uml2.uml.Class;
import org.eclipse.uml2.uml.Property;

import com.ibm.xtools.transform.authoring.RuleExtension;

public class Property2ForwardRule implements RuleExtension {

	public void execute(EObject arg0, EObject arg1) {
		ModelUtil.log("Property2ForwardRule", arg0);
		Property inProp = (Property) arg0;
		Forward inForward = (Forward) arg1;
		Class cl = (Class) inProp.getType();
		inForward.setToScreen(cl.getName());
		String condition = "success";
		Association assoc = inProp.getAssociation();
		if (assoc != null && assoc.getName() != null && !assoc.getName().equals("")) {
			condition = assoc.getName();
			int pos1 = condition.indexOf('[');
			if (pos1 > 0) {
				int pos2 = condition.indexOf(']');
				if (pos2 > 0) condition = condition.substring(pos1 + 1, pos2);
			}
		}	
		inForward.setCondition(condition);
	}
}
